Page MenuHomePhabricator

Remove jquery animations from WikiEditor
Closed, ResolvedPublic

Description

This is analogous to T195049: Remove animations from jquery.makeCollapsible

jquery animations are suboptimal (slow). There are also several known issues with our current animations like:

Ideally we'd at least want to use CSS animations/transitions, but maybe we just don't need this at all.

  1. animations in general have never been that well liked
  2. CSS animations for rollup/rolldown of inconsistent height elements (tab panels) of which the visibility is switched between the panels, is not really achievable in pure CSS
  3. Why invest a lot of time in fixing this on this old WikiEditor

Details

Related Gerrit Patches:
mediawiki/extensions/WikiEditor : masterAnimations: Get rid of jquery animations

Event Timeline

TheDJ created this task.Nov 28 2018, 9:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2018, 9:22 PM

Change 474821 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/WikiEditor@master] Animations: Get rid of jquery animations

https://gerrit.wikimedia.org/r/474821

TheDJ moved this task from Backlog to Doing on the WikiEditor board.Nov 28 2018, 9:39 PM

Change 474821 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Animations: Get rid of jquery animations

https://gerrit.wikimedia.org/r/474821

Catrope closed this task as Resolved.Dec 3 2018, 8:46 PM
Catrope claimed this task.
happy5214 moved this task from Doing to Closed on the WikiEditor board.Aug 4 2019, 11:27 AM